#!/bin/sh

HOST=`uname`

if [ $HOST = "Darwin" ]
then
	gcc -O0 -g -DMACOSX parse.c draw.c ui.c v_tile_data.c v_bg_map.c objview.c -o objview \
	SDL/lib/libSDL.a SDL/lib/libSDLMain.a \
	-framework Cocoa -framework IOKit -framework CoreFoundation \
	-framework OpenGL -framework Quicktime -framework AudioToolbox \
	-framework AudioUnit -framework Carbon
elif [ $HOST = "MINGW32_NT-5.1" ]
then
	gcc `sdl-config --cflags` parse.c draw.c ui.c v_tile_data.c v_bg_map.c objview.c -o objview \
	`sdl-config --libs` -mwindows -mconsole
else
	gcc `sdl-config --cflags` parse.c draw.c ui.c v_tile_data.c v_bg_map.c objview.c -o objview `sdl-config --libs`
fi

