/*
 * Copyright (c) 2011, Noel Lemouel
 * All rights reserved.
 */

#include <stdio.h>
#include "ui.h"

void v_bg_map_9800h_init_16(unsigned short* fb)
{

	unsigned int i, j, k;

	/* clear framebuffer */

	for(i=0; i<SCX*SCY; i++)
	{
		fb[i] = 0x0000;
	}

	/* draw bg_map */

	k=0;
	for(i=0; i<32; i++)
	{
		for(j=0; j<32; j++)
		{
			blit_tile_16(read_VRAM_bg_map_9800h(k++), &(fb)[(BG_MAP_Y*SCX)+BG_MAP_X], (j*8), (i*8));
		}
	}

	/* ... */

	draw_line_16(fb, 0, 15, 480, 15);	/* horizontal */
	draw_line_16(fb, 23, 0, 23, 272);	/* vertical */

	fb_update();

}

